Subject: Offline Message from nick: I am extremely disappointed with your customer ser
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 07 Jul 2020 11:33:44 -0000

From: nick <[email-masked]>
Phone: 
Location: Al Ain City, United Arab Emirates
URL: https://www.mumzworld.com/
Department: 

I am extremely disappointed with your customer services. I have placed an order on the month of May - # 600867077 and as of today, no news I had. Although I had called multiple times asking for updates on my order which suppose to be a gift for a new born baby, I had no answers or solved problem from your side, I want immediately a reply on the same as that is certain not a way to treat a customer! +971 0507797642

----
Zopim
https://www.zopim.com